services:
  web:
    image: nginx:alpine
    container_name: docs-site
    restart: unless-stopped
    ports:
      - "18080:80"
    volumes:
      - ./:/usr/share/nginx/html:ro
      - ./nginx/default.conf:/etc/nginx/conf.d/default.conf:ro
    networks:
      npm_network:
        ipv4_address: 192.168.1.7

networks:
  npm_network:
    external: true
